Scim
Manage users, service principals, groups and their permissions in Accounts and Workspaces
Create Group Public Preview
POST
Creates a group in the <Databricks> workspace with a unique name, using the supplied group details.
API scopes: scim
Request body
- displayNamestring
String that represents a human-readable group name
- entitlementsarray of object
Entitlements assigned to the group. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- externalIdstring
- groupsarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- idstring
<Databricks> group ID
- membersarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- rolesarray of object
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- schemasarray of string
The schema of the group.
Response
- displayNamestring
String that represents a human-readable group name
- entitlementsarray of object
Entitlements assigned to the group. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- externalIdstring
external_id should be unique for identifying groups
- groupsarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- idstring
<Databricks> group ID
- membersarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- rolesarray of object
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- schemasarray of string
The schema of the group.
Delete Group Public Preview
Get Group Public Preview
GET
Gets the information for a specific group in the <Databricks> workspace.
API scopes: scim
Parameters
- idstringRequiredpath
Unique ID for a group in the <Databricks> workspace.
Response
- displayNamestring
String that represents a human-readable group name
- entitlementsarray of object
Entitlements assigned to the group. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- externalIdstring
external_id should be unique for identifying groups
- groupsarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- idstring
<Databricks> group ID
- membersarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- rolesarray of object
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- schemasarray of string
The schema of the group.
List Groups Public Preview
GET
Gets all details of the groups associated with the <Databricks> workspace.
API scopes: scim
Parameters
- filterstringquery
Query by which the results have to be filtered. Supported operators are equals(
eq), contains(co), starts with(sw) and not equals(ne). Additionally, simple expressions can be formed using logical operators -andandor. The SCIM RFC has more details but we currently only support simple expressions.displayName co "foo" and displayName co "bar": Group whose displayName contains foo and displayName contains bar.displayName co "foo": Groups whose displayName contains foo.displayName eq "admins": Groups whose displayName equals admins.displayName ne "baz": Groups whose displayName not equals baz.displayName co "foo" or displayName co "bar": Group whose displayName contains foo or displayName contains bar.displayName sw "bar": Groups whose displayName starts with bar.
- attributesstringquery
Comma-separated list of attributes to return in response.
- excludedAttributesstringquery
Comma-separated list of attributes to exclude in response.
- startIndexint64query
Specifies the index of the first result. First item is number 1.
- countint64query
Desired number of results per page.
- sortBystringquery
Attribute to sort the results.
- sortOrderstringquery
The order to sort the results.
Response
- itemsPerPageint32
Total results returned in the response.
- Resourcesarray of object
User objects returned in the response.
Show child attributesHide child attributes
- displayNamestring
String that represents a human-readable group name
- entitlementsarray of object
Entitlements assigned to the group. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- externalIdstring
external_id should be unique for identifying groups
- groupsarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- idstring
<Databricks> group ID
- membersarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- rolesarray of object
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- schemasarray of string
The schema of the group.
- schemasarray of string
The schema of the service principal.
- startIndexint64
Starting index of all the results that matched the request filters. First item is number 1.
- totalResultsint32
Total results that match the request filters.
Patch Group Public Preview
PATCH
Partially updates the details of a group.
API scopes: scim
Parameters
- idstringRequiredpath
Unique ID in the <Databricks> workspace.
Request body
- Operationsarray of object
Show child attributesHide child attributes
- opstring
Type of patch operation.
- pathstring
Selection of patch operation
- valueobject
Value to modify
- schemasarray of string
The schema of the patch request. Must be ["urn:ietf:params:scim:api:messages:2.0:PatchOp"].
Update Group Public Preview
PUT
Updates the details of a group by replacing the entire group entity.
API scopes: scim
Parameters
- idstringpath
<Databricks> group ID
Request body
- displayNamestring
String that represents a human-readable group name
- entitlementsarray of object
Entitlements assigned to the group. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- externalIdstring
- groupsarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- membersarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- rolesarray of object
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- schemasarray of string
The schema of the group.
Create Service Principal Public Preview
POST
Creates a new service principal in the <Databricks> workspace.
API scopes: scim
Request body
- activeboolean
If this user is active
- applicationIdstring
UUID relating to the service principal
- displayNamestring
String that represents a concatenation of given and family names.
- entitlementsarray of object
Entitlements assigned to the service principal. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- externalIdstring
- groupsarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- idstring
<Databricks> service principal ID.
- rolesarray of object
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- schemasarray of string
The schema of the List response.
Response
- activeboolean
If this user is active
- applicationIdstring
UUID relating to the service principal
- displayNamestring
String that represents a concatenation of given and family names.
- entitlementsarray of object
Entitlements assigned to the service principal. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- externalIdstring
- groupsarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- idstring
<Databricks> service principal ID.
- rolesarray of object
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- schemasarray of string
The schema of the List response.
Delete Service Principal Public Preview
Get Service Principal Public Preview
GET
Gets the details for a single service principal define in the <Databricks> workspace.
API scopes: scim
Parameters
- idstringRequiredpath
Unique ID for a service principal in the <Databricks> workspace.
Response
- activeboolean
If this user is active
- applicationIdstring
UUID relating to the service principal
- displayNamestring
String that represents a concatenation of given and family names.
- entitlementsarray of object
Entitlements assigned to the service principal. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- externalIdstring
- groupsarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- idstring
<Databricks> service principal ID.
- rolesarray of object
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- schemasarray of string
The schema of the List response.
List Service Principals Public Preview
GET
Gets the set of service principals associated with a <Databricks> workspace.
API scopes: scim
Parameters
- attributesstringquery
Comma-separated list of attributes to return in response.
- countint64query
Desired number of results per page.
- excludedAttributesstringquery
Comma-separated list of attributes to exclude in response.
- filterstringquery
Query by which the results have to be filtered. Supported operators are equals(
eq), contains(co), starts with(sw) and not equals(ne). Additionally, simple expressions can be formed using logical operators -andandor. The SCIM RFC has more details but we currently only support simple expressions.displayName co "sp" and displayName co "foo": Service principals whose displayName contains sp and displayName contains foo.displayName co "bar": Service principals whose displayName contains bar.displayName eq "foo": Service principals whose displayName equals foo.displayName ne "qux": Service principals whose displayName not equals qux.displayName co "sp" or displayName co "foo": Service principals whose displayName contains sp or displayName contains foo.displayName sw "baz": Service principals whose displayName starts with baz.
- sortBystringquery
Attribute to sort the results.
- sortOrderstringquery
The order to sort the results.
- startIndexint64query
Specifies the index of the first result. First item is number 1.
Response
- itemsPerPageint32
Total results returned in the response.
- Resourcesarray of object
User objects returned in the response.
Show child attributesHide child attributes
- activeboolean
If this user is active
- applicationIdstring
UUID relating to the service principal
- displayNamestring
String that represents a concatenation of given and family names.
- entitlementsarray of object
Entitlements assigned to the service principal. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- externalIdstring
- groupsarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- idstring
<Databricks> service principal ID.
- rolesarray of object
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- schemasarray of string
The schema of the List response.
- schemasarray of string
The schema of the List response.
- startIndexint64
Starting index of all the results that matched the request filters. First item is number 1.
- totalResultsint32
Total results that match the request filters.
Patch Service Principal Public Preview
PATCH
Partially updates the details of a single service principal in the <Databricks> workspace.
API scopes: scim
Parameters
- idstringRequiredpath
Unique ID in the <Databricks> workspace.
Request body
- Operationsarray of object
Show child attributesHide child attributes
- opstring
Type of patch operation.
- pathstring
Selection of patch operation
- valueobject
Value to modify
- schemasarray of string
The schema of the patch request. Must be ["urn:ietf:params:scim:api:messages:2.0:PatchOp"].
Update Service Principal Public Preview
PUT
Updates the details of a single service principal.
This action replaces the existing service principal with the same name.
API scopes: scim
Parameters
- idstringpath
<Databricks> service principal ID.
Request body
- activeboolean
If this user is active
- applicationIdstring
UUID relating to the service principal
- displayNamestring
String that represents a concatenation of given and family names.
- entitlementsarray of object
Entitlements assigned to the service principal. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- externalIdstring
- groupsarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- rolesarray of object
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- schemasarray of string
The schema of the List response.
Create User Public Preview
POST
Creates a new user in the <Databricks> workspace. This new user will also be added to the <Databricks> account.
API scopes: scim
Request body
- activeboolean
If this user is active
- displayNamestring
String that represents a concatenation of given and family names. For example
John Smith. This field cannot be updated through the Workspace SCIM APIs when identity federation is enabled. Use Account SCIM APIs to updatedisplayName.
- emailsarray of object
All the emails associated with the <Databricks> user.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- entitlementsarray of object
Entitlements assigned to the user. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- externalIdstring
External ID is not currently supported. It is reserved for future use.
- groupsarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- idstring
<Databricks> user ID.
- nameobject
Show child attributesHide child attributes
- familyNamestring
Family name of the <Databricks> user.
- givenNamestring
Given name of the <Databricks> user.
- rolesarray of object
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- schemasarray of string
The schema of the user.
- userNamestring
Email address of the <Databricks> user.
Response
- activeboolean
If this user is active
- displayNamestring
String that represents a concatenation of given and family names. For example
John Smith. This field cannot be updated through the Workspace SCIM APIs when identity federation is enabled. Use Account SCIM APIs to updatedisplayName.
- emailsarray of object
All the emails associated with the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- entitlementsarray of object
Entitlements assigned to the user. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- externalIdstring
External ID is not currently supported. It is reserved for future use.
- groupsarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- idstring
<Databricks> user ID.
- nameobject
Show child attributesHide child attributes
- familyNamestring
Family name of the <Databricks> user.
- givenNamestring
Given name of the <Databricks> user.
- rolesarray of object
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- schemasarray of string
The schema of the user.
- userNamestring
Email address of the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.
Delete User Public Preview
Get Permission Levels Public Preview
GET
Gets the permission levels that a user can have on an object.
API scopes: scim
Response
- permission_levelsarray of object
Specific permission levels
Show child attributesHide child attributes
- descriptionstring
- permission_levelstring
Permission level
Get Permissions Public Preview
GET
Gets the permissions of all passwords. Passwords can inherit permissions from their root object.
API scopes: scim
Response
- access_control_listarray of object
Show child attributesHide child attributes
- all_permissionsarray of object
All permissions.
Show child attributesHide child attributes
- inheritedboolean
- inherited_from_objectarray of string
- permission_levelstring
Permission level
- display_namestring
Display name of the user or service principal.
- group_namestring
name of the group
- service_principal_namestring
Name of the service principal.
- user_namestring
name of the user
- object_idstring
- object_typestring
Get User Public Preview
GET
Gets information for a specific user in <Databricks> workspace.
API scopes: scim
Parameters
- idstringRequiredpath
Unique ID for a user in the <Databricks> workspace.
- attributesstringquery
Comma-separated list of attributes to return in response.
- countint32query
Desired number of results per page.
- excludedAttributesstringquery
Comma-separated list of attributes to exclude in response.
- filterstringquery
Query by which the results have to be filtered. Supported operators are equals(
eq), contains(co), starts with(sw) and not equals(ne). Additionally, simple expressions can be formed using logical operators -andandor. The SCIM RFC has more details but we currently only support simple expressions.displayName co "john" and userName co "doe": Users whose displayName contains john and userName contains doe.displayName co "doe": Users whose displayName contains doe.displayName eq "john": Users whose displayName equals john.displayName ne "john": Users whose displayName not equals john.displayName co "john" or userName co "doe": Users whose displayName contains john or userName contains doe.displayName sw "jo": Users whose displayName starts with jo.
- sortBystringquery
Attribute to sort the results. Multi-part paths are supported. For example,
userName,name.givenName, andemails.
- sortOrderstringquery
The order to sort the results.
- startIndexint32query
Specifies the index of the first result. First item is number 1.
Response
- activeboolean
If this user is active
- displayNamestring
String that represents a concatenation of given and family names. For example
John Smith. This field cannot be updated through the Workspace SCIM APIs when identity federation is enabled. Use Account SCIM APIs to updatedisplayName.
- emailsarray of object
All the emails associated with the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- entitlementsarray of object
Entitlements assigned to the user. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- externalIdstring
External ID is not currently supported. It is reserved for future use.
- groupsarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- idstring
<Databricks> user ID.
- nameobject
Show child attributesHide child attributes
- familyNamestring
Family name of the <Databricks> user.
- givenNamestring
Given name of the <Databricks> user.
- rolesarray of object
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- schemasarray of string
The schema of the user.
- userNamestring
Email address of the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.
List Users Public Preview
GET
Gets details for all the users associated with a <Databricks> workspace.
API scopes: scim
Parameters
- attributesstringquery
Comma-separated list of attributes to return in response.
- countint64query
Desired number of results per page.
- excludedAttributesstringquery
Comma-separated list of attributes to exclude in response.
- filterstringquery
Query by which the results have to be filtered. Supported operators are equals(
eq), contains(co), starts with(sw) and not equals(ne). Additionally, simple expressions can be formed using logical operators -andandor. The SCIM RFC has more details but we currently only support simple expressions.displayName co "john" and userName co "doe": Users whose displayName contains john and userName contains doe.displayName co "doe": Users whose displayName contains doe.displayName eq "john": Users whose displayName equals john.displayName ne "john": Users whose displayName not equals john.displayName co "john" or userName co "doe": Users whose displayName contains john or userName contains doe.displayName sw "jo": Users whose displayName starts with jo.
- sortBystringquery
Attribute to sort the results. Multi-part paths are supported. For example,
userName,name.givenName, andemails.
- sortOrderstringquery
The order to sort the results.
- startIndexint64query
Specifies the index of the first result. First item is number 1.
Response
- itemsPerPageint32
Total results returned in the response.
- Resourcesarray of object
User objects returned in the response.
Show child attributesHide child attributes
- activeboolean
If this user is active
- displayNamestring
String that represents a concatenation of given and family names. For example
John Smith. This field cannot be updated through the Workspace SCIM APIs when identity federation is enabled. Use Account SCIM APIs to updatedisplayName.
- emailsarray of object
All the emails associated with the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- entitlementsarray of object
Entitlements assigned to the user. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- externalIdstring
External ID is not currently supported. It is reserved for future use.
- groupsarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- idstring
<Databricks> user ID.
- nameobject
Show child attributesHide child attributes
- familyNamestring
Family name of the <Databricks> user.
- givenNamestring
Given name of the <Databricks> user.
- rolesarray of object
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- schemasarray of string
The schema of the user.
- userNamestring
Email address of the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.
- schemasarray of string
The schema of the List response.
- startIndexint64
Starting index of all the results that matched the request filters. First item is number 1.
- totalResultsint32
Total results that match the request filters.
Patch User Public Preview
PATCH
Partially updates a user resource by applying the supplied operations on specific user attributes.
The userName and emails attributes cannot be updated through this API; any supplied changes to them are ignored (no-op).
API scopes: scim
Parameters
- idstringRequiredpath
Unique ID in the <Databricks> workspace.
Request body
- Operationsarray of object
Show child attributesHide child attributes
- opstring
Type of patch operation.
- pathstring
Selection of patch operation
- valueobject
Value to modify
- schemasarray of string
The schema of the patch request. Must be ["urn:ietf:params:scim:api:messages:2.0:PatchOp"].
Set Permissions Public Preview
PUT
Sets permissions on an object, replacing existing permissions if they exist. Deletes all direct permissions if none are specified. Objects can inherit permissions from their root object.
API scopes: scim
Request body
- access_control_listarray of object
Show child attributesHide child attributes
- group_namestring
name of the group
- permission_levelstring
Permission level
- service_principal_namestring
application ID of a service principal
- user_namestring
name of the user
Response
- access_control_listarray of object
Show child attributesHide child attributes
- all_permissionsarray of object
All permissions.
Show child attributesHide child attributes
- inheritedboolean
- inherited_from_objectarray of string
- permission_levelstring
Permission level
- display_namestring
Display name of the user or service principal.
- group_namestring
name of the group
- service_principal_namestring
Name of the service principal.
- user_namestring
name of the user
- object_idstring
- object_typestring
Update Permissions Public Preview
PATCH
Updates the permissions on all passwords. Passwords can inherit permissions from their root object.
API scopes: scim
Request body
- access_control_listarray of object
Show child attributesHide child attributes
- group_namestring
name of the group
- permission_levelstring
Permission level
- service_principal_namestring
application ID of a service principal
- user_namestring
name of the user
Response
- access_control_listarray of object
Show child attributesHide child attributes
- all_permissionsarray of object
All permissions.
Show child attributesHide child attributes
- inheritedboolean
- inherited_from_objectarray of string
- permission_levelstring
Permission level
- display_namestring
Display name of the user or service principal.
- group_namestring
name of the group
- service_principal_namestring
Name of the service principal.
- user_namestring
name of the user
- object_idstring
- object_typestring
Update User Public Preview
PUT
Replaces a user's information with the data supplied in request.
The userName and emails attributes cannot be updated through this API; any supplied changes to them are ignored (no-op).
API scopes: scim
Parameters
- idstringpath
<Databricks> user ID.
Request body
- activeboolean
If this user is active
- displayNamestring
String that represents a concatenation of given and family names. For example
John Smith. This field cannot be updated through the Workspace SCIM APIs when identity federation is enabled. Use Account SCIM APIs to updatedisplayName.
- emailsarray of object
All the emails associated with the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- entitlementsarray of object
Entitlements assigned to the user. See assigning entitlements for a full list of supported values.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- externalIdstring
External ID is not currently supported. It is reserved for future use.
- groupsarray of object
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- nameobject
Show child attributesHide child attributes
- familyNamestring
Family name of the <Databricks> user.
- givenNamestring
Given name of the <Databricks> user.
- rolesarray of object
Corresponds to AWS instance profile/arn role.
Show child attributesHide child attributes
- displaystring
- primaryboolean
- $refstring
- typestring
- valuestring
- schemasarray of string
The schema of the user.
- userNamestring
Email address of the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.